List billing orders

Lists coordinator orders with billing summaries and optional party-name expansion. | authz: allowed_org_types=[provider], min_org_role=operator | (OrderBillingExpandedListReq) -> (OrderBillingExpandedListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sort_byenumOptional
Order lifecycle timestamp used for sorting.
sort_orderenumOptional

Sort order (asc or desc).

Allowed values:
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional1-100Defaults to 20
searchstringOptional

Full-text search query for order short ID, off-CHRT reference ID, and AWB.

filter_statusenumOptional
Filter by one or more order statuses.
filter_awb_numberstringOptionalformat: "^\d{3}-\d{8}$"
Filter by an exact order AWB number.
filter_shipper_org_idstringOptional

Filter by an on-CHRT shipper organization.

filter_off_chrt_shipper_org_data_idstringOptional

Filter by an off-CHRT shipper.

filter_coordinator_shipper_account_idsstringOptional
Filter by one or more coordinator shipper accounts.
filter_executor_org_idstringOptional

Filter by an on-CHRT executor organization.

filter_coordinator_labelstringOptional
Filter by an exact coordinator label.
filter_draft_started_at_timestamp_gtedatetimeOptional
filter_draft_started_at_timestamp_ltedatetimeOptional
filter_staged_at_timestamp_gtedatetimeOptional
filter_staged_at_timestamp_ltedatetimeOptional
filter_in_progress_at_timestamp_gtedatetimeOptional
filter_in_progress_at_timestamp_ltedatetimeOptional
filter_completed_at_timestamp_gtedatetimeOptional
filter_completed_at_timestamp_ltedatetimeOptional
filter_cancelled_at_timestamp_gtedatetimeOptional
filter_cancelled_at_timestamp_ltedatetimeOptional
filter_exception_at_timestamp_gtedatetimeOptional
filter_exception_at_timestamp_ltedatetimeOptional

Request

This endpoint expects an object.
expand_account_namesbooleanOptionalDefaults to false
expand_executor_namesbooleanOptionalDefaults to false
expand_shipper_namebooleanOptionalDefaults to false

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Orders List Expanded for Coordinator Operators V1request Unprocessable Entity Error